%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

Name:		specto
Version:	0.4.1
Release:	5%{?dist}
Summary:	An desktop application that will watch configurable events        

Group:		Applications/System
License:	GPLv2+
URL:		http://specto.sourceforge.net/            
Source0:	http://specto.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:  intltool
Requires:	dbus-python, notify-python
#Requires:	pygtk2-libglade      
Requires:	gnome-python2-gconf
Requires:	gnome-python2-gnomevfs
Requires:	numpy

%description
Specto is a desktop application that will watch configurable events
(such as website updates, emails, file and folder changes,
system processes, etc) and then trigger notifications.
 
Specto can watch a website for updates and notify you when
there is activity (otherwise, Specto will just stay out of the way).
This changes the way you work, because you can be informed
of events instead of having to look out for them.

%prep
%setup -q


%build
python setup.py build

#remove shebang from non-executable files
sed -e '/^#!\//,1 d' -i spectlib/*.py
#Fix default doc directory.
sed -e 's|/share/doc/%{name}/|/share/doc/%{name}-%{version}|g' \
	-i spectlib/util.py

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT

# Remove redundant files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name} 

desktop-file-install					\
	--vendor ""					\
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications	\
	--mode 0644					\
	--remove-category=Application			\
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/indicators/messages/applications/%{name}
%{python_sitelib}/spectlib
%{python_sitelib}/%{name}-%{version}*.egg-info


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 04 2011 Xavier Lamien <laxathom@fedoraproject.org> - 0.4.1-1
- Update release.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Feb 02 2010 Jarod Wilson <jarod@redhat.com> 0.3.1-1
- Update to 0.3.1 release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.3.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 Xavier Lamien <lxtnow@gmail.com> - 0.3-0.1.rc1
- Update release.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.2-4
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.2-3
- Rebuild for Python 2.6

* Thu Sep  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.2.2-2
- fix license tag

* Wed Aug 02 2007 Xavier Lamien <lxtnow[at]gmail.com> - 0.2.2-1
- Updated Release.

* Wed Jun 06 2007 Xavier Lamien <lxtnow@gmail.com> - 0.2.0-4
- Rebuilt for CVS.

* Tue Mar 06 2007 Xavier Lamien <lxtnow@gmail.com> - 0.2.0-3
- Removed 'gnome-python2' as redundant require.
- Fixed default doc directory and added VERSION file in it.

* Mon Mar 05 2007 Xavier Lamien <lxtnow@gmail.com> - 0.2.0-2
- Removed category "Application" from .desktop file.
- Removed 'python' and 'glade-python' from Requires tag.
- Added python-related requirements.

* Wed Feb 14 2007 Xavier Lamien <lxtnow@gmail.com> - 0.2.0-1
- Initial RPM release.
